<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___b_a_s__definitions" kind="group">
    <compoundname>group_ble_service_api_BAS_definitions</compoundname>
    <title>BAS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__bass__t">cy_stc_ble_bass_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__basc__t">cy_stc_ble_basc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bas__char__value__t">cy_stc_ble_bas_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bas__descr__value__t">cy_stc_ble_bas_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bass__config__t">cy_stc_ble_bass_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__basc__config__t">cy_stc_ble_basc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___b_a_s__definitions_1gabf7f92662570bc150b786e9a483f03e2" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bas_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___b_a_s__definitions_1ggabf7f92662570bc150b786e9a483f03e2ae0a689cdd469548f74f6a67b0f9be061" prot="public">
          <name>CY_BLE_BAS_BATTERY_LEVEL</name>
          <briefdescription>
<para>Battery Level Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_a_s__definitions_1ggabf7f92662570bc150b786e9a483f03e2a7e82aa555f910ea7a505074a74f273f1" prot="public">
          <name>CY_BLE_BAS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bas_char_index_t: </bold><linebreak />BAS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="56" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___b_a_s__definitions_1ga7e2dc8a450ffbc696df656b46a1b0a51" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bas_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___b_a_s__definitions_1gga7e2dc8a450ffbc696df656b46a1b0a51a1603b2e3db93f39dede098cf90c6d39f" prot="public">
          <name>CY_BLE_BAS_BATTERY_LEVEL_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_a_s__definitions_1gga7e2dc8a450ffbc696df656b46a1b0a51af8ef6f047f3500e9a8aac73f77915199" prot="public">
          <name>CY_BLE_BAS_BATTERY_LEVEL_CPFD</name>
          <briefdescription>
<para>Characteristic Presentation Format Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_a_s__definitions_1gga7e2dc8a450ffbc696df656b46a1b0a51afbbd42ccfe9423af33130397a9b82a9e" prot="public">
          <name>CY_BLE_BAS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bas_descr_index_t: </bold><linebreak />BAS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bas.h" line="63" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the BAS specific definitions and data structures used in the BAS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>